import Drawer               from "@components/core/Drawer";
import Footer               from '@components/core/Footer';
import SecsFlex             from '@components/core/SecsFlex';
import Sections             from '@components/core/Sections';
import Header               from '@components/core/Header';
import Bubble               from '@components/core/Bubble';
import ShareSec             from '@components/core/ShareSec';
import QuizzesHeader        from '@components/core/QuizzesHeader';
import MatchDayCardHeader   from '@components/core/MatchDayCardHeader';


import Section              from '@components/core/Section';


export default async function Page() {
		
		
		const sections = [
				{
					"name": "quizzes",
					"path": "/quizzes",
					"color": "secondary",
					"tag": "Guess & Answer",
					"img":"/designs/quizzes.png",
					"bg":"#0003"
				},
				{
					"name": "Match Day Card",
					"path": "/match-day-card",
					"color": "accent",
					"tag": "Cards for next Matches",
					"img":"/designs/mdc.png",
					"bg":"#0003"
				},
				{
					"name": "Quotes",
					"path": "/quotes",
					"color": "primary",
					"tag": "Get random player & managers quotes",
					"img":"/designs/quotes.png",
					"bg":"#0003"
				},
				{
					"name": "Stadium Ambiance",
					"path": "/stadium-ambiance",
					"color": "secondary",
					"tag": "chill whit stadium noise and vibes",
					"img":"/designs/chill.png",
					"bg":"#00000073"
				}
	];
	
	try{
			const response = await fetch(process.env.BACKEND+'api'+'/analytics/visits?route=mdc', options);
	} catch(err){
			null;
	}
	
  return (
    <>
          <Drawer/>
						<h1 className="hidden">Welcome to the Ultimate Football Hub</h1>
						<h2 className="hidden">Stadium Ambiance and Relaxing Sounds</h2>
						<h2 className="hidden">European League Fixtures and Scores</h2>
						<h2 className="hidden">Football Quizzes - Test Your Knowledge</h2>
						<p className="hidden">
							   Immerse yourself in the world of football on our website. Experience stadium ambiance, stay updated with European league fixtures, test your knowledge with football quizzes, and find inspiration in quotes from players and managers.
						</p>
          <h1 className="text-3xl font-extrabold container m-auto sm:mx-auto mx-2 my-12 text-center w-auto">Kickstart Your Football IQ: Play, Learn, Conquer!</h1>
						{
							1==1 ? (
							<div className="flex flex-row flex-wrap items-start content-center justify-center p-[10px]">
								{
									sections.map((section, i)=>(
										<Section bg={section.bg} key={i} name={section.name} img={section.img} tag={section.tag} color={section.color} path={section.path} />
									))
								}
							</div>
							) : (
				      	<>
					      	<Sections/>
						    	<div className="h-[80vh]"></div>
				      	</>
		        	)
		        }
						<div className="my-8"></div>
		        <ShareSec/>
          <Footer/>
    </>
  );
}
